## org.biojava.bio.structure.io.mmcif.model
Class StructAsym

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.AbstractBean
          org.biojava.bio.structure.io.mmcif.model.StructAsym

    public class StructAsym

extends AbstractBean

Contains the data for _struct_asym

Since:
  1.7
Author:
  Andreas Prlic

Constructor Summary
`StructAsym()`

Method Summary
`String` `getDetails()`
`String` `getEntity_id()`
`String` `getId()`
`String` `getPdbx_blank_PDB_chainid_flag()`
`String` `getPdbx_modified()`
`void` `setDetails(String details)`
`void` `setEntity_id(String entity_id)`
`void` `setId(String id)`
`void` `setPdbx_blank_PDB_chainid_flag(String pdbx_blank_PDB_chainid_flag)`
`void` `setPdbx_modified(String pdbx_modified)`

Methods inherited from class org.biojava.bio.structure.io.mmcif.model.AbstractBean
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StructAsym

    public StructAsym()

Method Detail

### getId

    public String getId()

### setId

    public void setId(String id)

### getPdbx_blank_PDB_chainid_flag

    public String getPdbx_blank_PDB_chainid_flag()

### setPdbx_blank_PDB_chainid_flag

    public void setPdbx_blank_PDB_chainid_flag(String pdbx_blank_PDB_chainid_flag)

### getPdbx_modified

    public String getPdbx_modified()

### setPdbx_modified

    public void setPdbx_modified(String pdbx_modified)

### getEntity_id

    public String getEntity_id()

### setEntity_id

    public void setEntity_id(String entity_id)

### getDetails

    public String getDetails()

### setDetails

    public void setDetails(String details)